#makefile pile dynamique
CC = cc
CFLAGS =-Wall -g -lm

EXECS = \
	main

all : $(EXECS)

clean:
	rm -rf $(EXECS) *.o

header: header.o
	$(CC) -o $@ $^ $(CFLAGS)

header.o: header.h


%.o: %.c
	$(CC) -c $< -o $@ $(CFLAGS)
